Skip to content

Marketplace Offering Groups

Operations Summary

Method Endpoint Description
GET /api/marketplace-offering-groups/ List Marketplace Offering Groups
GET /api/marketplace-offering-groups/{uuid}/ Retrieve
POST /api/marketplace-offering-groups/ Create
PUT /api/marketplace-offering-groups/{uuid}/ Update
PATCH /api/marketplace-offering-groups/{uuid}/ Partial Update
DELETE /api/marketplace-offering-groups/{uuid}/ Delete

List Marketplace Offering Groups

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-offering-groups/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_group_field_enum import OfferingGroupFieldEnum # (1)
from waldur_api_client.api.marketplace_offering_groups import marketplace_offering_groups_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_offering_groups_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: OfferingGroupFieldEnum
  2. API Source: marketplace_offering_groups_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceOfferingGroupsList } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingGroupsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
customer_uuid string (uuid) Customer UUID
field array
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
title string

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
title string
description string
icon string (uri)
customer string (uri)
customer_uuid string (uuid)
customer_name string

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-offering-groups/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_group_field_enum import OfferingGroupFieldEnum # (1)
from waldur_api_client.api.marketplace_offering_groups import marketplace_offering_groups_retrieve # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_offering_groups_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. Model Source: OfferingGroupFieldEnum
  2. API Source: marketplace_offering_groups_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingGroupsRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingGroupsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Name Type
field array

200 -

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
title string
description string
icon string (uri)
customer string (uri)
customer_uuid string (uuid)
customer_name string

Create

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/marketplace-offering-groups/ \
  Authorization:"Token YOUR_API_TOKEN" \
  title="string-value" \
  customer="https://api.example.com/api/customer/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_group_request import OfferingGroupRequest # (1)
from waldur_api_client.api.marketplace_offering_groups import marketplace_offering_groups_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = OfferingGroupRequest(
    title="string-value",
    customer="https://api.example.com/api/customer/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
)
response = marketplace_offering_groups_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: OfferingGroupRequest
  2. API Source: marketplace_offering_groups_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { marketplaceOfferingGroupsCreate } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingGroupsCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "title": "string-value",
    "customer": "https://api.example.com/api/customer/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required
title string
description string
icon string (binary)
customer string (uri)

201 -

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
title string
description string
icon string (uri)
customer string (uri)
customer_uuid string (uuid)
customer_name string

Update

1
2
3
4
5
6
http \
  PUT \
  https://api.example.com/api/marketplace-offering-groups/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  title="string-value" \
  customer="https://api.example.com/api/customer/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_group_request import OfferingGroupRequest # (1)
from waldur_api_client.api.marketplace_offering_groups import marketplace_offering_groups_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = OfferingGroupRequest(
    title="string-value",
    customer="https://api.example.com/api/customer/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
)
response = marketplace_offering_groups_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: OfferingGroupRequest
  2. API Source: marketplace_offering_groups_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
import { marketplaceOfferingGroupsUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingGroupsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "title": "string-value",
    "customer": "https://api.example.com/api/customer/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
title string
description string
icon string (binary)
customer string (uri)

200 -

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
title string
description string
icon string (uri)
customer string (uri)
customer_uuid string (uuid)
customer_name string

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/marketplace-offering-groups/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_offering_group_request import PatchedOfferingGroupRequest # (1)
from waldur_api_client.api.marketplace_offering_groups import marketplace_offering_groups_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedOfferingGroupRequest()
response = marketplace_offering_groups_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedOfferingGroupRequest
  2. API Source: marketplace_offering_groups_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingGroupsPartialUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingGroupsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
title string
description string
icon string (binary)

200 -

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
title string
description string
icon string (uri)
customer string (uri)
customer_uuid string (uuid)
customer_name string

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/marketplace-offering-groups/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_offering_groups import marketplace_offering_groups_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_offering_groups_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_offering_groups_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingGroupsDestroy } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingGroupsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body